Author Topic: Update to 3.0.19.8 / vmclasslanguage not found  (Read 447 times)

Tentaurus

  • Jr. Member
  • **
  • Posts: 54
Update to 3.0.19.8 / vmclasslanguage not found
« on: March 07, 2017, 12:39:20 pm »
I tried to update from 3.0.18.x to 3.0.19.8..

First time: I got the error "vmclasslanguage not found"
Second time: empty screen
Third time: OK

Beside this I will do further tests...

Milbo

  • Virtuemart Projectleader
  • Administrator
  • Super Hero
  • *
  • Posts: 10018
  • VM3.2 Cached and Optimized
    • VM3 Extensions
  • VirtueMart Version: VirtueMart 3 on joomla 3
Re: Update to 3.0.19.8 / vmclasslanguage not found
« Reply #1 on: March 07, 2017, 14:13:34 pm »
This is strange. I know that some others had also this error. I investigated it and noticed that the old vm installer used the "installed" files and not the new files for the update process. But I fixed this. I did some test update and I know also that others had  no problems anylonger. So I wonder why you got it. Which installation method did you use?
I should fix your bug, please support the VirtueMart project and become a member
______________________________________
Extensions approved by the core team: http://extensions.virtuemart.net/

Tentaurus

  • Jr. Member
  • **
  • Posts: 54
Re: Update to 3.0.19.8 / vmclasslanguage not found
« Reply #2 on: March 07, 2017, 15:16:49 pm »
I tried it again.

I restored a 3.0.18.7 backup
Then I installed 3.0.19.8 via Joomla installer.
This time I got a blank screen with the title: "Fehler: 0 Call to undefined method Vm:Table::checkTableExists()"
But refeshing the screen shows 3.0.19.8 as installed...

Then I tried another backup from a different site - same, same!

Then I tried a 3.0.18 backup. Same result!

Language problem (in my case German)?

PHP is 7.0.x